summaryrefslogtreecommitdiff
path: root/packaging/same-build-result.sh
diff options
context:
space:
mode:
authorJunghyun Kim <jh0822.kim@samsung.com>2016-11-25 16:35:42 +0900
committerJunghyun Kim <jh0822.kim@samsung.com>2016-11-25 16:35:42 +0900
commit2c7031f15715af60e28766869a6551095afca72f (patch)
treecbc2de2d43e8a24fc31a17b4af984e898e38fb6d /packaging/same-build-result.sh
parentfe954a1ba70ef2c597cb53c6385d5eecb1a6c48b (diff)
downloadbuild-compare-2c7031f15715af60e28766869a6551095afca72f.tar.gz
build-compare-2c7031f15715af60e28766869a6551095afca72f.tar.bz2
build-compare-2c7031f15715af60e28766869a6551095afca72f.zip
TRBS projects are similar to prerelease projects, so the same technique is applied to TRBS projects for unnecessary rebuilding. Change-Id: I6370473ce75caa20d2e4325c66a8c03aa643dba6 Signed-off-by: Junghyun Kim <jh0822.kim@samsung.com>
Diffstat (limited to 'packaging/same-build-result.sh')
-rw-r--r--packaging/same-build-result.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/packaging/same-build-result.sh b/packaging/same-build-result.sh
index e46999f..2e879e4 100644
--- a/packaging/same-build-result.sh
+++ b/packaging/same-build-result.sh
@@ -33,7 +33,7 @@ fi
first_rpm=$(find $NEWDIRS -name *.rpm | head -1)
dist=$(rpm -qp --nodigest --nosignature --qf "%{DISTRIBUTION}" $first_rpm | sed -r 's/(.*)\/.*/\1/')
prerelease=0
-if [[ $dist =~ "prerelease" ]]; then
+if ! is_prerelease_project $dist; then
echo "This is a prerelease project. Do not check the existence of source rpm files."
prerelease=1